stages:
  - build
  - deploy_test

variables:
  APP_IMAGE: $CI_REGISTRY_IMAGE:${CI_COMMIT_REF_SLUG}-${CI_PIPELINE_ID}

# dev
build_test:
  stage: build
  script:
    - docker build  -t $APP_IMAGE .
  after_script:
    - docker image prune -f -a --filter until=4h
  only:
    - dev
  tags:
    - dev_afd_frontend

deploy_test:
  stage: deploy_test
  script:
    - sudo docker create --name tmp "$APP_IMAGE"
    - sudo mkdir /tmp/afd_frontend && sudo docker cp tmp:/app/dist/. /tmp/afd_frontend/.
    - sudo rsync -a --progress --delete-after /tmp/afd_frontend/ /var/www/afd_frontend/
  after_script:
    - sudo docker rm -f tmp
    - sudo rm -rf /tmp/afd_frontend
  tags:
    - dev_afd_frontend
  only:
    - dev
